Roll back to a deployment
curl --request POST \
--url https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/rollback \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"target_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/rollback"
payload = { "target_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_deployment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/rollback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"deployment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deployment_number": 123,
"channel": "console",
"status": "queued",
"rollback_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_digest": "<string>",
"commit_sha": "<string>",
"commit_message": "<string>",
"error": "<string>",
"build_duration_ms": 123,
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Deployments
Roll back to a deployment
Pin the service back to an earlier deployment’s image. Creates a new deployment from the target’s digest and config snapshot.
POST
/
api
/
v1
/
apps
/
services
/
{service_id}
/
rollback
Roll back to a deployment
Authorizations
API key for authentication. Each key is bound to a specific account.
Path Parameters
App service ID (UUID) or short id (the service_id field)
Body
application/json
Last modified on August 26, 2026
⌘I